# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global debug_package %{nil}
%global revision 62

Name:           unittest
Version:        0.50
Release:        alt1_%{revision}.6.7
Summary:        C++ Unit Test Framework

Group:          Development/C
License:        BSD
URL:            http://unittest.red-bean.com/
Source0:        http://unittest.red-bean.com/tar/%{name}-%{version}-%{revision}.tar.gz
Provides:       %{name}-static = %{version}-%{release}

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
Source44: import.info

%description
Unittest is a C++ unit test framework. Its design goals are to be simple, to
be idiomatic C++, and to follow the basic xUnit style to the extent that doing
so is compatible with the earlier goals. Its main differences from other xUnit
frameworks are that it uses constructors and destructors for setup/teardown
and that it requires you to represent tests as classes, instead of methods.


%prep
%setup -q -n %{name}-%{version}-%{revision}

# package wants to install directly into /
%{__sed} -i 's|@libdir@|%{buildroot}%{_libdir}|g' Makefile.in

%build
%configure
make %{?_smp_mflags} libdir=%{buildroot}%{_libdir}


%install

make install prefix=%{buildroot} \
             HTMLDIR=%{buildroot}%{_pkgdocdir}/%{name}-%{version} \
             INCDIR=%{buildroot}%{_includedir}/%{name} \

%check
./test/unittesttest

%files
%doc COPYING docs/*
%{_libdir}/libunittest.a
%{_includedir}/%{name}


%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_62.6.7
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_62.6.6
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1_62.6.4
- initial fc import

